<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Under Maintenance</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            margin: 0;
            padding: 0;
            display: flex;
            align-items: center;
            justify-content: center;
            height: 100vh;
        }

        .maintenance-message {
            text-align: center;
            background-color: #fff;
            padding: 40px;
            border-radius: 5px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            max-width: 400px;
        }

        .maintenance-message h1 {
            font-size: 28px;
            color: #333;
            margin-top: 0;
        }

        .maintenance-message p {
            font-size: 16px;
            color: #666;
            margin-bottom: 20px;
        }

        .maintenance-message .logo {
            width: 100px;
            height: 100px;
            margin-bottom: 20px;
        }

        .countdown-timer {
            font-size: 20px;
            color: #666;
            font-weight: bold;
            margin-bottom: 20px;
        }

        .countdown-timer span {
            color: #f00;
            animation: pulse 1s linear infinite;
        }

        @keyframes pulse {
            0% {
                opacity: 1;
            }
            50% {
                opacity: 0.5;
            }
            100% {
                opacity: 1;
            }
        }
    </style>
</head>
<body>
    <div class="maintenance-message">
        <img src="MetrioGroup.png" alt="Logo" class="logo">
        <h1>Under Maintenance</h1>
        <p>We apologize for the inconvenience, but this page is currently undergoing maintenance. Please check back later.</p>
        <div class="countdown-timer" id="countdown"></div>
    </div>

    <script>
        // Countdown Timer
        const countdownElement = document.getElementById('countdown');
        //TODO Enter maintenance end date here
        const maintenanceEndDate = new Date('2023-06-26T10:00:00'); // Specify the end date and time of maintenance

        function updateCountdown() {
            const currentTime = new Date().getTime();
            const distance = maintenanceEndDate - currentTime;

            // Calculations for days, hours, minutes, and seconds
            const days = Math.floor(distance / (1000 * 60 * 60 * 24));
            const hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
            const minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
            const seconds = Math.floor((distance % (1000 * 60)) / 1000);

            // Display the countdown timer
            countdownElement.innerHTML = `Maintenance ends in: <span>${days}d</span> ${hours}h ${minutes}m ${seconds}s`;

            if (distance < 0) {
                countdownElement.innerHTML = 'Maintenance is over.';
            }
        }

        setInterval(updateCountdown, 1000); // Update the countdown every second
    </script>
</body>
</html>
